Package net.md_5.bungee.protocol.packet

# Enum Title.Action

java.lang.Object
java.lang.Enum<Title.Action>
net.md_5.bungee.protocol.packet.Title.Action

All Implemented Interfaces:
  `Serializable`, `Comparable<Title.Action>`

Enclosing class:
  Title

public static enum Title.Action extends Enum<Title.Action>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTIONBAR`
  `CLEAR`
  `RESET`
  `SUBTITLE`
  `TIMES`
  `TITLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Title.Action`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Title.Action[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TITLE

    public static final Title.Action TITLE

  - ### SUBTITLE

    public static final Title.Action SUBTITLE

  - ### ACTIONBAR

    public static final Title.Action ACTIONBAR

  - ### TIMES

    public static final Title.Action TIMES

  - ### CLEAR

    public static final Title.Action CLEAR

  - ### RESET

    public static final Title.Action RESET

- ## Method Details

  - ### values

    public static Title.Action[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Title.Action valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null